Retrieve payment link

View as MarkdownOpen in Claude
Use this method to retrieve information about a payment link. To retrieve a payment link, you need its paymentLinkId. Our gateway returned the paymentLinkId in the response of the [Create Payment Link](https://docs.payroc.com/api/schema/payment-links/create) method. **Note:** If you don't have the paymentLinkId, use our [List Payment Links](https://docs.payroc.com/api/schema/payment-links/list) method to search for the payment link. Our gateway returns the following information about the payment link: - **type** - Indicates whether the link can be used only once or if it can be used multiple times. - **authType** - Indicates whether the transaction is a sale or a pre-authorization. - **paymentMethods** - Indicates the payment method that the merchant accepts. - **charge** - Indicates whether the merchant or the customer enters the amount for the transaction. - **status** - Indicates if the payment link is active.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

paymentLinkIdstringRequired=10 characters
Unique identifier that we assigned to the payment link.

Response

Successful request. We return a polymorphic object that contains payment link information. The value of the type parameter determines which variant you should use: - `multiUse` - Create a link that the merchant can use to take multiple payments. - `singleUse` - Create a link that the merchant can use for only one payment.
multiUseobject
OR
singleUseobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error